Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TPTNodeList<E>

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TPTNodeList<E>

All Implemented Interfaces:
  Visitable

    public class TPTNodeList<E>

extends TParseTreeNode

Constructor Summary
`TPTNodeList()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `addElement(E ptn)`
`void` | `addNode(E arg1)`
`void` | `appendList(TPTNodeList<E> pList)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`E` | `elementAt(int index)`
`E` | `getElement(int index)`
`TSourceToken` | `getEndToken()`
`TSourceToken` | `getStartToken()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `insertElementAt(E ptn, int index)`
`void` | `removeElement(E ptn)`
`void` | `removeElementAt(int index)`
`int` | `size()`
`void` | `TPTNodeList()`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getGsqlparser, getLineNo, getNodeType, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPTNodeList

    public TPTNodeList()

Method Detail

### TPTNodeList

    public void TPTNodeList()

### size

    public final int size()

### elementAt

    public E elementAt(int index)

### addElement

    public final void addElement(E ptn)

### removeElementAt

    public final void removeElementAt(int index)

### removeElement

    public final void removeElement(E ptn)

### insertElementAt

    public final void insertElementAt(E ptn,
                                      int index)

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### addNode

    public void addNode(E arg1)

### getElement

    public E getElement(int index)

### appendList

    public void appendList(TPTNodeList<E> pList)

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### getStartToken

    public TSourceToken getStartToken()

  Overrides:
    `getStartToken` in class `TParseTreeNode`

### getEndToken

    public TSourceToken getEndToken()

  Overrides:
    `getEndToken` in class `TParseTreeNode`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD